Subject: Re: bug#72343: [PATCH] Fix eglot-server-programs for TeX modes

From: João Távora <[email-masked]>
Date: Tue, 30 Jul 2024 21:29:33 +0100

On Tue, Jul 30, 2024, 19:20 Augusto Stoffel <[email-masked]> wrote:

> Thanks, but what about the other part of João's questions, regarding
>> :language-id?
>>
>
> That's precisely the point of the patch: make different derived modes of
> tex-mode pass different language IDs to the server. Based on the
> documentation João referred to, separate entries in eglot-server-programs
> are needed in this case.
>

Have you tried the :language-id _keyword_ as explained in the documentation
I linked to? It should avoid the multiple entries.

João